package com.aitrainer.api.model

import kotlinx.serialization.*
import kotlinx.serialization.json.*

@Serializable
data class ClubUser (
    var email: String = "",
    var firstname: String = "",
    var weight: Double = 0.0,
    var height: Double = 0.0,
    var goal: String = "",
    var fitnessLevel: String = "",
) {
    fun fromJson(json: String): ClubUser {
        return Json.decodeFromString(serializer(), json)
    }
}